Bug 1017379 - libreoffice impress imports animated motion paths incorrectly from powerpoint
libreoffice impress imports animated motion paths incorrectly from powerpoint
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
19
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: David Tardon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-09 14:16 EDT by Matt Hirsch
Modified: 2014-02-22 13:17 EST (History)
6 users (show)

See Also:
Fixed In Version: libreoffice-4.1.5.3-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-22 13:17:29 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Powerpoint file, which when opened in impress, demonstrates corrupted motion path animation (32.50 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2013-10-09 14:16 EDT, Matt Hirsch
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FreeDesktop.org 33852 None None None Never

  None (edit)
Description Matt Hirsch 2013-10-09 14:16:34 EDT
Created attachment 810087 [details]
Powerpoint file, which when opened in impress, demonstrates corrupted motion path animation

Description of problem:
Opening a pptx file in libreoffice impress, containing a motion path animation created in powerpoint 2010 (and other versions), results in an animated motion path with a corrupted start point.

Version-Release number of selected component (if applicable):
libreoffice-pyuno-4.1.2.3-3.fc19.x86_64
libreoffice-math-4.1.2.3-3.fc19.x86_64
libreoffice-ure-4.1.2.3-3.fc19.x86_64
libreoffice-base-4.1.2.3-3.fc19.x86_64
libreoffice-opensymbol-fonts-4.1.2.3-3.fc19.noarch
libreoffice-emailmerge-4.1.2.3-3.fc19.x86_64
libreoffice-4.1.2.3-3.fc19.x86_64
libreoffice-writer-4.1.2.3-3.fc19.x86_64
libreoffice-graphicfilter-4.1.2.3-3.fc19.x86_64
libreoffice-xsltfilter-4.1.2.3-3.fc19.x86_64
libreoffice-core-4.1.2.3-3.fc19.x86_64
libreoffice-gdb-debug-support-4.1.2.3-2.fc19.x86_64
libreoffice-draw-4.1.2.3-3.fc19.x86_64
libreoffice-calc-4.1.2.3-3.fc19.x86_64
libreoffice-pdfimport-4.1.2.3-3.fc19.x86_64
libreoffice-impress-4.1.2.3-3.fc19.x86_64
libreoffice-langpack-en-4.1.2.3-3.fc19.x86_64

How reproducible:
Always. This has been a long term issue.

Steps to Reproduce:
1. Create new pptx file
2. Add an object (e.g. rectangle)
3. Create a motion path animation
4. Save file
5. Open in impress

Actual results:
In the case of the attached example, the motion path has the correct end point, but the starting point is not within the object, but rather far off the screen.

Expected results:
The same motion path that was created in powerpoint should appear in impress.

Additional info:
The external bug from freedesktop.org seems (#33852) seems to report a similar issue with ppt files, though the way in which the path is corrupted appears to be slightly different.
Comment 1 David Tardon 2014-02-06 07:25:14 EST
found the problem
Comment 2 Fedora Update System 2014-02-11 02:37:31 EST
libreoffice-4.1.4.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/libreoffice-4.1.4.2-6.fc20
Comment 3 Fedora Update System 2014-02-11 02:37:48 EST
libreoffice-4.1.4.2-6.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.4.2-6.fc19
Comment 4 Fedora Update System 2014-02-12 09:37:04 EST
Package libreoffice-4.1.4.2-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing libreoffice-4.1.4.2-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2339/libreoffice-4.1.4.2-6.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2014-02-13 02:51:11 EST
libreoffice-4.1.5.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libreoffice-4.1.5.3-1.fc19
Comment 6 Fedora Update System 2014-02-22 13:17:29 EST
libreoffice-4.1.5.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.